from axelrod.action import Action
from axelrod.player import Player
lIIlIIIlIlI, IIlIIlllllllllIIlIIl = Action.C, Action.D
class lIIlIlIIIlllIIlI(Player):
    lIIIIIlIllIl = "strategy"
    lIIlIllIIlll = {
        "memory_depth": float("inf"),  
        "stochastic": False,
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def llIIIIllIIlIlI(IIIIIIlIIlIIlIIIl, lIIIIIlllIl: Player) -> Action:
        if lIIIIIlllIl.defections > len(lIIIIIlllIl.history) / 10.0:
            return IIlIIlllllllllIIlIIl
        return lIIlIIIlIlI